<div class="alert alert-info center">
    <strong>Seleccione una opción para cambiar de perfil</strong>
</div>
<div>
    <form name="perfiles" method="post" action="{{ path('core_seguridad_default_cambiarPerfil') }}">
        <table id="usuariosperfiles-table" class="table table-bordered table-hover">
            <thead>
            <tr>
                <th>Nombre</th>
                <th>Entidad</th>
                <th class="center">Seleccione</th>
            </tr>
            </thead>
            <tbody>
            {% if perfiles is defined%}
                {%for perfil in perfiles%}
                    <tr>
                        <td class="center">{{ perfil.perfilentidad.perfil.nombre }}</td>
                        <td class="center">{{ perfil.perfilentidad.entidad.nombreoficial }}</td>
                        <td class="center">
                            <label>
                                {% if perfil.id == usuarioperfil %}
                                    <input name="perfil" value="{{ perfil.id }}" type="radio" class="ace" checked/>
                                {% else %}
                                    <input name="perfil" value="{{ perfil.id }}" type="radio" class="ace" />
                                {% endif %}
                                <span class="lbl"></span>
                            </label>
                        </td>
                    </tr>
                {%endfor%}
            {% endif %}
            </tbody>
        </table>
    </form>
</div>

<script>
    $(function() {
        $('.modal-footer > .btn-primary').attr('disabled', true);
        $('.close').on('click', function(){
            $('.modal-footer > .btn-primary').removeAttr('disabled');
        });
        $('input[name="perfil"]').on('change', function () {
            var value = this.value;
            if(value == parseInt('{{ usuarioperfil }}')){
                $('.modal-footer > .btn-primary').attr('disabled', true);
            }
            else{
                $('.modal-footer > .btn-primary').removeAttr('disabled');
            }
        });
    });
</script>